Name:		 ammonite
Summary:	 Ammonite is a portion of the Eazel Services authentication framework.
Version: 	 1.0.2
Release:         2
License: 	 GPL
Group:		 Applications/Internet
Source: 	 %{name}-%{version}.tar.gz
URL: 		 http://nautilus.eazel.com/
BuildRoot:	 %{_tmppath}/%{name}-%{version}-root
Requires:	 gnome-vfs >= 0.3.1
BuildRequires:   libxml-devel
BuildRequires:   oaf-devel >= 0.6.0
BuildRequires:   gnome-libs-devel >= 1.2.0
BuildRequires:   glib-devel >= 1.2.8
BuildRequires:   GConf-devel >= 0.11.0
BuildRequires:   ORBit-devel >= 0.5.1

#Requires:	openssl
# Requires:	openssl >= 0.9.5
# it really does require that version, but we would rather have
# ammonite break than break a users ssh so we are putting no version
# requirement in so we can distribute and rsa free version

%description 
Ammonite is a non-caching client-side HTTP proxy with a
set of special features required by Eazel to communicate with Eazel
Services.  Ammonite provides the user authentication and encryption
features used by Eazel Services.  It is part of the GNOME project, and
its source code can be found in the GNOME CVS repository.

You will need to install Ammonite if you intend to use Eazel Services.

Ammonite links statically with OpenSSL, which is (C) Eric Young.

Ammonite was originally based on TinyProxy v1.3, written by by Steven Young 
<sdyoung@well.com> and Robert James Kaes <rjkaes@flarenet.com>.

%package devel
Summary:	Libraries and include files for developing Ammonite clients
Group:		Development/Libraries
Requires:	%name = %{version}

%description devel
This package provides the necessary development libraries and include
files to allow you to develop components that make use of the Ammonite authentication
services.  You will need to install this package if you intend to build Nautilus
from source code.

%prep
%setup -q

%build
%ifarch alpha
    MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif

LC_ALL=""
LINGUAS=""
LANG=""
export LC_ALL LINGUAS LANG

CFLAGS="$RPM_OPT_FLAGS" ./configure $MYARCH_FLAGS --prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} --bindir=%{_bindir} \
	--libdir=%{_libdir} --includedir=%{_includedir} \
	--datadir=%{_datadir}

if [ "$SMP" != "" ]; then
    (make "MAKE=make -k -j $SMP"; exit 0)
    make
else
    make
fi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/%{_prefix} \
    sysconfdir=$RPM_BUILD_ROOT/%{_sysconfdir} \
    bindir=$RPM_BUILD_ROOT/%{_bindir} \
    libdir=$RPM_BUILD_ROOT/%{_libdir} \
    includedir=$RPM_BUILD_ROOT/%{_includedir} \
    datadir=$RPM_BUILD_ROOT/%{_datadir} \
    install


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files

%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*

%defattr (-, root, root)
%config(noreplace) %{_sysconfdir}/vfs/modules/*.conf
%{_datadir}/oaf/*
%{_datadir}/nautilus/certs/*
%{_datadir}/idl/*
%{_datadir}/pixmaps/nautilus/*
%{_datadir}/locale/*/*/*

%files devel

%defattr(-, root, root)
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.sh
%{_libdir}/python1.5/site-packages/*

%defattr(-, root, root)
%{_includedir}/libtrilobite


%changelog
* Fri Aug 17 2001 Gregory Leblanc <gleblanc@linuxweasel.com>
- replaced Copyright with License
- fixed BuildRoot

* Thu May 24 2001 Gregory Leblanc <gleblanc@localhost.localdomain>
- reformatted BuildRequires
- fixed group
- fixed %files sections
- made %setup quiet
- fixed make install section
- removed silly macros

* Mon Feb 19 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- updates and fixes for bad macros, and hard-coded paths

* Wed Apr 26 2000 Robin * Slomkowski <rsllomkow@eazel.com>
- created this thing

* Wed Apr 26 2000 Mike Fleming <mfleming@eazel.com>
- Small edits of description fields
